Subject: bug#2585 closed by Jason Rumney <[email-masked]> (Re: bug#2585: 23.0.90; read-file-name with dialog)

From: [email-masked] (Emacs bug Tracking System)
Date: Mon, 09 Mar 2009 13:40:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2585: 23.0.90; read-file-name with dialog

It has been closed by Jason Rumney <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jason Rumney <[email-masked]> by
replying to this email.

-- 
2585: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2585
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2585: 23.0.90; read-file-name with dialog
From: Jason Rumney <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: MJ <[email-masked]>, [email-masked]
Date: Mon, 09 Mar 2009 21:31:41 +0800

Stefan Monnier wrote:
>>> ;; If DIR contains a file name, split it.
>>> (let ((file (file-name-nondirectory dir)))
>>> (when (and default-filename (not (zerop (length file))))
>>> (setq default-filename file)
>>> (setq dir (file-name-directory dir)))
>>>
>>> The third line makes more sense to me as:
>>>
>>> (when (and (not default-filename) (not (zerop (length file))))
>>>       
>> That seems right to me.  Stefan, you were the one who rewrote
>> read-file-name; could you verify this?
>>     
>
> Yes, it looks right,
>   

OK, I've checked that change in.

Subject: 23.0.90; read-file-name with dialog
From: MJ <[email-masked]>
To: [email-masked]
Date: Fri, 6 Mar 2009 13:41:10 -0500

When read-file-name is called and uses windows dialog to read a file
name, the 'dir' parameter has to be ended with '/'. It it does not,
the last part of the path name is used as the filename while the
default directory is the stripped 'dir' without last part. This does
not happen in Emacs 22. 

In minibuffer, there is comment that says: 

	;; If DIR contains a file name, split it.

I'm not sure if that is the right thing to do. At least, it breaks the
compatibility with previous Emacs version. 

Is this an intended change?

Thanks. 

--
In GNU Emacs 23.0.90.1 (i386-mingw-nt5.1.2600)
 of 2009-02-22 on T42
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --cflags -I../../GnuWin32/include'